Skip to content
Back to top
View this page
Edit this page

# xonsh.lib.modules

class xonsh.lib.modules.ModuleFinder(*names: str)

  Reusable module matcher. Can be used by other completers like Python to find matching script completions

  Helper class to search and load Python modules

  Parameters:
    names

      extra search paths/package-names to use if finding module on namespace package fails. paths should have a path literal to indicate it is a path. Otherwise it is treated as a package name.

  static import_module(path, name: str)

    given the file location import as module

  get_module(module: str)
  extensions = ('.py', '.xsh')